Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.binding.xml
Interface DeviceDescriptorBinder

All Known Implementing Classes:
  RecoveringUDA10DeviceDescriptorBinderImpl, UDA10DeviceDescriptorBinderImpl, UDA10DeviceDescriptorBinderSAXImpl

    public interface DeviceDescriptorBinder

Reads and generates device descriptor XML metadata.

Author:
  Christian Bauer

Method Summary
`Document` | `buildDOM(Device device, RemoteClientInfo info, Namespace namespace)`
`
`<T extends Device> T`
` | `describe(T undescribedDevice, Document dom)`
`
`<T extends Device> T`
` | `describe(T undescribedDevice, String descriptorXml)`
`String` | `generate(Device device, RemoteClientInfo info, Namespace namespace)`

Method Detail

### describe

    <T extends Device> T describe(T undescribedDevice,
                                  String descriptorXml)
                              throws DescriptorBindingException,
                                     ValidationException

  Throws:
    `DescriptorBindingException`
    `ValidationException`

### describe

    <T extends Device> T describe(T undescribedDevice,
                                  Document dom)
                              throws DescriptorBindingException,
                                     ValidationException

  Throws:
    `DescriptorBindingException`
    `ValidationException`

### generate

    String generate(Device device,
                    RemoteClientInfo info,
                    Namespace namespace)
                    throws DescriptorBindingException

  Throws:
    `DescriptorBindingException`

### buildDOM

    Document buildDOM(Device device,
                      RemoteClientInfo info,
                      Namespace namespace)
                      throws DescriptorBindingException

  Throws:
    `DescriptorBindingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.